<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.util (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.util (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.util</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/Base64Decoder.html" title="interface in org.firebirdsql.util">Base64Decoder</a></td>
<td class="colLast">
<div class="block">Interface for accessing Java version specific base64 decoder.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/Base64DecoderImpl.html" title="class in org.firebirdsql.util">Base64DecoderImpl</a></td>
<td class="colLast">
<div class="block">Java 8 and higher implementation of <a href="../../../org/firebirdsql/util/Base64Decoder.html" title="interface in org.firebirdsql.util"><code>Base64Decoder</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/ByteArrayHelper.html" title="class in org.firebirdsql.util">ByteArrayHelper</a></td>
<td class="colLast">
<div class="block">Helper methods for byte arrays.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a></td>
<td class="colLast">
<div class="block">Helper class that reports if a Firebird version supports a specific feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/IOUtils.html" title="class in org.firebirdsql.util">IOUtils</a></td>
<td class="colLast">
<div class="block">Utility methods for stream and byte array conversions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/NumericHelper.html" title="class in org.firebirdsql.util">NumericHelper</a></td>
<td class="colLast">
<div class="block">Helper for numeric values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/ReflectionHelper.html" title="class in org.firebirdsql.util">ReflectionHelper</a></td>
<td class="colLast">
<div class="block">Class containing static helper methods for reflective access.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/SQLExceptionChainBuilder.html" title="class in org.firebirdsql.util">SQLExceptionChainBuilder</a>&lt;E extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>&gt;</td>
<td class="colLast">
<div class="block">Helper class for building <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql"><code>SQLException</code></a> chains.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/StringUtils.html" title="class in org.firebirdsql.util">StringUtils</a></td>
<td class="colLast">
<div class="block">Helper class for string operations</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Annotation Types Summary table, listing annotation types, and an explanation">
<caption><span>Annotation Types Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Annotation Type</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/InternalApi.html" title="annotation in org.firebirdsql.util">InternalApi</a></td>
<td class="colLast">
<div class="block">Indicates that the annotated class, method or value is for internal use only.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/util/Volatile.html" title="annotation in org.firebirdsql.util">Volatile</a></td>
<td class="colLast">
<div class="block">Indicates that the annotated class, method or value is volatile, and may change in a next version.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/util/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
